<template>
  <div>
     <main>

        <span class="title">
          Welcome MySubComponentB.
        </span>

        <br>
          <span v-show="msgA">A: {{msgA}}</span>
        <br>
          <span class="right" v-show="msgB">{{msgB}}</span>
        <br>
        <button @click="setMsgB('Hi A')">Hi A</button>

    </main>
  </div>
</template>

<script>
// import mapState มาก่อน
import { mapState, mapGetters, mapActions, mapMutations}  from 'vuex'

  export default {
    computed:{
      ...mapGetters(['msgA', 'msgB'])
    },
    methods:{
      ...mapMutations(['setMsgB'])
    }
  }
  
</script>

<style>
  .right{
    float: right
  }
</style>
